blackboard sends 200 and 304 Not Modified responses with content length 0 causes blank page instead of cached page

RESOLVED FIXED

Status

Tech Evangelism
Desktop
RESOLVED FIXED
14 years ago
4 years ago

People

(Reporter: dan furlani, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

14 years ago
User-Agent:       
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007 Firebird/0.7

If this page is in the browser cache, reloading or revisiting causes a blank
page to be displayed.

Reproducible: Always
Steps to Reproduce:
1. Load http://plato.bridgew.edu/index.html
2. Observe that it loaded correctly
3. Hit the Reload button, observe a blank page
4. Hold shift and hit Reload, observe a correct load




This was reproducible in Firebird and Mozilla nightlies (checked 31-Jan-2004).

The browser modifies the GET request with If-Modified-Since: and If-None-Match:
-- the server (IIS5) returns a 304 Not Modified response with Content-Length: 0
and no message-body.

I thought it might be a server problem and Firebird was behaving "correctly"
(although not as desired)... I looked over rfc2616 and couldn't find a problem
with the server's response.  Even if there is a problem, Mozilla should do the
right thing.  This is not a problem with IE4/Win95, but I haven't checked a
protocol dump (the browser request might be different).

A workaround is to hold shift & reload the page so the browser doesn't request a
conditional GET.

Comment 1

14 years ago
Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.7a) Gecko/20040201
extension http://livehttpheaders.mozdev.org/

Below a header from a reload, is the response  200, 200 or 304?

http://plato.bridgew.edu/index.html

GET /index.html HTTP/1.1
Host: plato.bridgew.edu
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.7a) Gecko/20040201
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Language: en-us,fr-fr;q=0.8,de-de;q=0.5,es;q=0.3
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 300
Connection: keep-alive
Referer: http://bugzilla.mozilla.org/show_bug.cgi?id=232766
If-Modified-Since: Wed, 10 Dec 2003 18:49:42 GMT
If-None-Match: "8920625f4ebfc31:891"
Cache-Control: max-age=0

HTTP/1.x 200 OK
Server: Microsoft-IIS/5.0, Microsoft-IIS/5.0, Microsoft-IIS/5.0
Date: Mon, 02 Feb 2004 22:58:18 GMT, Mon, 02 Feb 2004 22:58:18 GMT, Mon, 02 Feb
2004 22:58:18 GMT
Set-Cookie: session_id=@@ec6ba2a2c26b30e326569cb5438b85f2; path=/;
HTTP/1.1: 200 OK, 304 Not Modified
X-Blackboard-product: Blackboard Learning System TM (Release 6) 6.0.11.72
Cache-Control: no-cache
Etag: "8920625f4ebfc31:891"
Content-Length: 0
(Reporter)

Comment 2

14 years ago
> extension http://livehttpheaders.mozdev.org/
> Below a header from a reload, is the response  200, 200 or 304?

That's a neat plugin, but it doesn't show or save the headers exactly as they
arrived over the network.  "HTTP/1.1" is not a valid field-name in a
message-header (RFC 2616 section 4.2 and 14.*).  Also, I believe your browser
only received 2 Status-Codes, not 3 as the plugin seemed to indicate.

I was looking at the header responses using tcpdump (not as pretty, see text
extracted below the dump):

plato.bridgew.edu.http > elmo.4224:
0x0000   0000 0000 0000 0000 0000 0000 0000 0000        ................
0x0010   0000 0000 0000 0000 0000 0000 0000 0000        ................
0x0020   0000 0000 0000 0000 0000 0000 0000 0000        ................
0x0030   0000 0000 4854 5450 2f31 2e31 2032 3030        ....HTTP/1.1.200
0x0040   204f 4b0d 0a53 6572 7665 723a 204d 6963        .OK..Server:.Mic
0x0050   726f 736f 6674 2d49 4953 2f35 2e30 0d0a        rosoft-IIS/5.0..
0x0060   4461 7465 3a20 5361 742c 2030 3720 4665        Date:.Sat,.07.Fe
0x0070   6220 3230 3034 2031 353a 3033 3a35 3820        b.2004.15:03:58.
0x0080   474d 540d 0a58 2d42 6c61 636b 626f 6172        GMT..X-Blackboar
0x0090   642d 7072 6f64 7563 743a 2042 6c61 636b        d-product:.Black
0x00a0   626f 6172 6420 4c65 6172 6e69 6e67 2053        board.Learning.S
0x00b0   7973 7465 6d20 544d 2028 5265 6c65 6173        ystem.TM.(Releas
0x00c0   6520 3629 2036 2e30 2e31 312e 3732 0d0a        e.6).6.0.11.72..

elmo.4224 > plato.bridgew.edu.http: . ack

plato.bridgew.edu.http > elmo.4224:
0x0000   0000 0000 0000 0000 0000 0000 0000 0000        ................
0x0010   0000 0000 0000 0000 0000 0000 0000 0000        ................
0x0020   0000 0000 0000 0000 0000 0000 0000 0000        ................
0x0030   0000 0000 4854 5450 2f31 2e31 2033 3034        ....HTTP/1.1.304
0x0040   204e 6f74 204d 6f64 6966 6965 640d 0a53        .Not.Modified..S
0x0050   6572 7665 723a 204d 6963 726f 736f 6674        erver:.Microsoft
0x0060   2d49 4953 2f35 2e30 0d0a 4461 7465 3a20        -IIS/5.0..Date:.
0x0070   5361 742c 2030 3720 4665 6220 3230 3034        Sat,.07.Feb.2004
0x0080   2031 353a 3033 3a35 3820 474d 540d 0a43        .15:03:58.GMT..C
0x0090   6163 6865 2d43 6f6e 7472 6f6c 3a20 6e6f        ache-Control:.no
0x00a0   2d63 6163 6865 0d0a 4554 6167 3a20 2238        -cache..ETag:."8
0x00b0   3932 3036 3235 6634 6562 6663 3331 3a38        920625f4ebfc31:8
0x00c0   3932 220d 0a43 6f6e 7465 6e74 2d4c 656e        92"..Content-Len
0x00d0   6774 683a 2030 0d0a 0d0a                       gth:.0....

In other words, there were 2 packets received (not sure why, other web servers
don't seem to do this, I checked google and microsoft.com).  At first I assumed
there were 2 separate Response messages, but then I noticed the first one didn't
terminate with two CRLF's... so I'm really not sure.

HTTP/1.1 200 OK <CRLF>
Server: Microsoft-IIS/5.0 <CRLF>
Date: Sat, 07 Feb 2004 15:03:58 GMT <CRLF>
X-Blackboard-product: Blackboard Learning System TM (Release 6) 6.0.11.72 <CRLF>
HTTP/1.1 304 Not Modified <CRLF>
Server: Microsoft-IIS/5.0 <CRLF>
Date: Sat, 07 Feb 2004 15:03:58 GMT <CRLF>
Cache-Control: no-cache <CRLF>
ETag: "8920625f4ebfc31:892" <CRLF>
Content-Length: 0 <CRLF> <CRLF>

When reloading with shift-reload, there are also two "messages" received.  The
first message is exactly the same (except for the date).  The second message has
Response 200 (instead of 304), with message headers: Server, Cache-Control,
Date, Content-Type, Accept-Ranges, Last-Modified, ETag, and Content-Length.

I don't see anywhere in RFC 2616 that says this is allowed, except possibly
section 13.5.3.  I don't really understand that section, and I don't know where
there would be a cache-server between my browser and the server.  Probably has
nothing to do with this problem.

Mozilla is probably ignoring the illegal second Status-Line and the duplicate
Server and Date message-headers, and considering the response as a 200 with
Content-Length 0.

Section 19.3 describes tolerance in accepting errored transmissions when the
intent is unambiguous... "Clients SHOULD be tolerant in parsing the
Status-Line"... but I don't think this problem is what the authors had in mind.

I'm convinced that this is an IIS configuration bug.  Should Mozilla be tolerant
of it, and how?
(Reporter)

Comment 3

14 years ago
Definitely a problem with Blackboard running on IIS...
http://blackboard.uaeu.ac.ae/ has the same problem.

But not limited to Blackboard... see
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-talk/81021

Has something to do with non-parsed headers.  Could be a bunch of sites in the
wild with this problem.

Updated

14 years ago
Status: UNCONFIRMED → NEW
Ever confirmed: true
OS: Linux → All

Comment 4

14 years ago
I feel that the problem is with IIS server sending multiple status lines in the
reply. The server is supposed to send 304 for the If-Modified-Since header if it
finds that the file is not modified.
It can be verified against Apache server. It shows the correct behaviour.
I dont think we can do anything in Mozilla. It will be difficult to code for
erratic servers.
(Reporter)

Comment 5

14 years ago
I agree that it's a problem with IIS, the script that generates the page, or a
combination of the two.  I have not seen this problem on an Apache server but I
can't say it's impossible for it to happen on Apache.

I believe IE is getting the same invalid header as Mozilla, and IE handles the
page fine.  I know, this is a poor reason to fix something... but I'd hate for
someone to think Mozilla was an unexceptable alternative to IE because it didn't
work with this website... many colleges are using Blackboard.

Can someone point me to the code that parses HTTP headers?
My blog is **not** served by IIS and shows this bug too.
http://glazman.org/weblog

Just load it twice in a fifteen seconds without doing a shift-reload => blank
I'll verify comment #7, for which I see served by:
Apache/1.3.26 (Unix) Debian GNU/Linux PHP/4.1.2
Glazou, here's what your server sends (gotten by 

wget -s  --header='If-Modified-Since: Sat, 14 Feb 2004 06:13:30 GMT'

change the date as necessary to ensure that it breaks, and verified by telnet to
port 80 and sending the If-Modified-Since by hand):

HTTP/1.1 200 OK
Date: Sat, 14 Feb 2004 07:13:40 GMT
Server: Apache/1.3.26 (Unix) Debian GNU/Linux PHP/4.1.2
X-Powered-By: PHP/4.1.2
Last-Modified: Sat, 14 Feb 2004 06:13:30 GMT
Cache-Control: must-revalidate, max-age=0
Pragma: public
Status: 304 Not Modified
Connection: close
Content-Type: text/html

So unlike this bug, there are no two status lines and no issue at all.  This is
a 200 response with no data, and whatever is generating the "Status: 304 Not
Modified" line is pretty confused as how HTTP status codes work.  Not really
related to this bug (which is about the particular broken header in comment 1).

Comment 10

14 years ago
a quick search on google for "Status: 304 Not Modified" produces interesting
results.

Among which:

http://cvs.sourceforge.net/viewcvs.py/phppgads/phpPgAds/adimage.php?rev=2.2

which contains the following code:
// Send "Not Modified" status header
  if (php_sapi_name() == 'cgi')
  {
    // PHP as CGI, use Status: [status-number]
    Header ('Status: 304 Not Modified');
  }
  else
  {
    // PHP as module, use HTTP/1.x [status-number]
    Header ($HTTP_SERVER_VARS['SERVER_PROTOCOL'].' 304 Not Modified');
  }
(Apache usually converts |Status: <Foo>| to a 'real' status, but only in CGI mode.)

Comment 12

14 years ago
Had the exact same bug, seems to affect all the recent version of mozilla (had
some complains either on moz for windows, macosx and tested personnaly on linux)

The headers (FYI)

http://recit.cadre.qc.ca/repondants/rubrique.php3?id_rubrique=32

GET /repondants/rubrique.php3?id_rubrique=32 HTTP/1.1
Host: recit.cadre.qc.ca
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.6) Gecko/20040115
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Language: fr,en;q=0.5
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 300
Connection: keep-alive
Referer: http://recit.cadre.qc.ca/repondants/article.php3?id_article=123
Pragma: no-cache
Cache-Control: no-cache

HTTP/1.1 200 OK
Date: Thu, 15 Apr 2004 01:35:47 GMT
Server: Apache-AdvancedExtranetServer/2.0.47 (Mandrake Linux/6.3.92mdk)
mod_perl/1.99_09 Perl/v5.8.1 mod_ssl/2.0.47 OpenSSL/0.9.7b PHP/4.3.2
X-Powered-By: PHP/4.3.3
Vary: Cookie,Accept-Encoding
Last-Modified: Thu, 15 Apr 2004 00:39:09 GMT
Transfer-Encoding: chunked
Content-Type: text/html; charset=iso-8859-1

Even receiving the 200 code, after reloading once (and more), it showed only a
white page.

Shift-clicking the reload button was ok.

With the great help of one of my friends, here is a little workaround for the
bug in Apache 2, to force 3 headers that make it work (no more blank page). Add
this to your httpd.conf

SetEnvIf Request_URI "\.php" phprequest
Header set "Expires:" "Fri, 01 Jan 2000 00:00:00 GMT" env=phprequest
Header set "Cache-Control:" "no-store, no-cache, must-revalidate, post-check=0,
pre-check=0" env=phprequest
Header set "Pragma:" "no-cache" env=phprequest


A nice workaround, correcting the bug would be even nicer :-)

Knowing how to program well to correct that bug even more :-D
Er.. your example simply has no 304 anywhere, HTTP response code, Status:
header, or otherwise.  It's an empty 200 response, which _should_ show a blank page.

Comment 14

14 years ago
Hmmm, that is the main problem...

I removed the workaround, so everybody can have their own feel of the problem. I
tried many times and there is a 304 response code, on the server side:

24.200.41.110 - - [14/Apr/2004:22:28:45 -0400] "GET
/repondants/article.php3?id_article=121 HTTP/1.1" 304 0
"http://recit.cadre.qc.ca/repondants/" "Mozilla/5.0 (X11; U; Linux i686; fr;
rv:1.6) Gecko/20040115"
24.200.41.110 - - [14/Apr/2004:22:31:45 -0400] "GET
/repondants/article.php3?id_article=121 HTTP/1.1" 304 0
"http://recit.cadre.qc.ca/repondants/" "Mozilla/5.0 (X11; U; Linux i686; fr;
rv:1.6) Gecko/20040115"

code 304 on the server

That request gives thoses headers (using livehttpheaders mozilla plugin
mentionned in an other comment)

http://recit.cadre.qc.ca/repondants/article.php3?id_article=121

GET /repondants/article.php3?id_article=121 HTTP/1.1
Host: recit.cadre.qc.ca
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.6) Gecko/20040115
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Language: fr,en;q=0.5
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 300
Connection: keep-alive
Referer: http://recit.cadre.qc.ca/repondants/
If-Modified-Since: Thu, 15 Apr 2004 00:45:17 GMT
Cache-Control: max-age=0

HTTP/1.1 200 OK
Date: Thu, 15 Apr 2004 02:31:45 GMT
Server: Apache-AdvancedExtranetServer/2.0.47 (Mandrake Linux/6.3.92mdk)
mod_perl/1.99_09 Perl/v5.8.1 mod_ssl/2.0.47 OpenSSL/0.9.7b PHP/4.3.2
X-Powered-By: PHP/4.3.3
Vary: Cookie,Accept-Encoding
Last-Modified: Thu, 15 Apr 2004 00:45:17 GMT
Expires: Fri, 16 Apr 2004 00:45:17 GMT
Transfer-Encoding: chunked
Content-Type: text/html

Server TELLS mozilla 304, but it seems mozilla doesn't listen (or there is
something I didn't understand)

I will leave this like that for tonight, so that you can see what it does,
tomorrow morning I'll put the workaround, since more and more people are using
mozilla on our recommandation :-)

> Server TELLS mozilla 304

No, it absolutely does not.  A trivial check with telnet:

~% telnet recit.cadre.qc.ca 80
Trying 207.96.172.51...
Connected to recit.cadre.qc.ca.
Escape character is '^]'.
GET /repondants/article.php3?id_article=121 HTTP/1.1
Host: recit.cadre.qc.ca
If-Modified-Since: Thu, 15 Apr 2004 00:45:17 GMT


HTTP/1.1 200 OK
...etc, with no content.

So that server is most definitely sending back 200 responses on the wire, no
matter what it's claiming in the log.

Comment 16

14 years ago
I don't know if it can help, but the page http://cyber.aranha.fr/spip/ seems to
have the same behaviour.

Comment 17

14 years ago
Can you, Dan, or someone else who can increase the priority and severity of this
bug increase it?   My entire college campus uses Blackboard--this bug means we
won't be able to view Blackboard without shift-refreshing.  I think that's a
release (Firefox 1 preview) blocking bug.

Updated

14 years ago
Flags: blocking-aviary1.0PR?

Comment 18

14 years ago
Here's a packet trace of Mozilla doing a "reload" on the site:

#
T 9.53.50.154:33903 -> 192.207.56.26:80 [AP]
  GET /index.html HTTP/1.1..Host: plato.bridgew.edu..User-Agent: Mozilla/5.0
(X11; U; Linux i686; en-US; rv
  :1.7) Gecko/20040721 Firefox/0.9.1+..Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0
  .9,text/plain;q=0.8,image/png,*/*;q=0.5..Accept-Language:
en-us,en;q=0.5..Accept-Encoding: gzip,deflate..
  Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7..Keep-Alive: 300..Connection:
keep-alive..Referer: http://
  bugzilla.mozilla.org/show_bug.cgi?id=232766..Cookie:
session_id=@@fa0a4da5b925ea46290838c347f944e3..If-Mo
  dified-Since: Mon, 09 Feb 2004 20:15:51 GMT..If-None-Match:
"b90498349efc31:8b1"..Cache-Control: max-age=
  0....
#
T 192.207.56.26:80 -> 9.53.50.154:33903 [AP]
  HTTP/1.1 200 OK..Server: Microsoft-IIS/5.0..Date: Mon, 02 Aug 2004 19:41:51
GMT..X-Blackboard-product: Bl
  ackboard Learning System TM (Release 6) 6.0.11.74..
##
T 192.207.56.26:80 -> 9.53.50.154:33903 [AP]
  HTTP/1.1 304 Not Modified..Server: Microsoft-IIS/5.0..Date: Mon, 02 Aug 2004
19:41:51 GMT..Cache-Control:
   no-cache..ETag: "b90498349efc31:8b1"..Content-Length: 0....

Notice that the server sends a 200 response and then a 304 response.  Seems to
me that the server is sending junk to the browser.  This bug is pretty much
invalid.  There no way for the browser to know that the second response is the
correct response.

Someone should contact the site to have the problem fixed.

-> Tech Evangelism
Component: Networking: HTTP → English US
Product: Browser → Tech Evangelism
Version: Trunk → unspecified

Comment 19

14 years ago
note: since the first response does not end with "\r\n\r\n", we could perhaps
try to notice the second status line while parsing headers and take that as the
true status line, but that's a pretty involved hack.

Comment 20

14 years ago
-> defaults
Assignee: darin → english-us
QA Contact: core.networking.http → english-us

Comment 21

14 years ago
As was said before, this does seem to happen on any IIS system that runs
Blackboard.  Just search google for "blackboard IIS" and scroll down a bit and
you will find plenty of examples.  It is not simply a problem on one site.

I don't know if this helps but here is output from a packet trace while double
clicking the refresh button (so the page successfully loads):

GET / HTTP/1.1
Host: uconline.ursinus.edu
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040709 Firefox/0.9.2 (MOOX-AV)
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5
Accept-Language: en-us,en;q=0.5
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 300
Connection: keep-alive
Cookie: session_id=@@eb71954cb14e6d939bb842a59e6f3319
If-None-Match: "6a21f125ab9cc31:e8a"
Cache-Control: max-age=0

HTTP/1.1 200 OK
Server: Microsoft-IIS/5.0
Date: Mon, 02 Aug 2004 20:46:57 GMT
X-Blackboard-product: Blackboard Learning System TM (Release 6) 6.0.11.74
HTTP/1.1 304 Not Modified
Server: Microsoft-IIS/5.0
Date: Mon, 02 Aug 2004 20:46:57 GMT
Cache-Control: no-cache
Content-Location: http://uconline.ursinus.edu/index.html
ETag: "6a21f125ab9cc31:e8a"
Content-Length: 0

GET / HTTP/1.1
Host: uconline.ursinus.edu
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040709 Firefox/0.9.2 (MOOX-AV)
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5
Accept-Language: en-us,en;q=0.5
Accept-Encoding: gzip,deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 300
Connection: keep-alive
Cookie: session_id=@@eb71954cb14e6d939bb842a59e6f3319

HTTP/1.1 200 OK
Server: Microsoft-IIS/5.0
Date: Mon, 02 Aug 2004 20:46:57 GMT
X-Blackboard-product: Blackboard Learning System TM (Release 6) 6.0.11.74
HTTP/1.1 200 OK
Server: Microsoft-IIS/5.0
Cache-Control: no-cache
Content-Location: http://uconline.ursinus.edu/index.html
Date: Mon, 02 Aug 2004 20:46:57 GMT
Content-Type: text/html
Accept-Ranges: bytes
Last-Modified: Mon, 27 Oct 2003 16:55:38 GMT
ETag: "6a21f125ab9cc31:e8a"
Content-Length: 1920

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN"
"http://www.w3.org/TR/REC-html40/frameset.dtd">
<HTML> 
<head>
<title>Blackboard Learning System TM (Release 6) Entry Page</title>
<meta name="copyright" content="&copy; 1997-2002 Blackboard Inc.">
<meta name="keywords" content="Release 6">
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" CONTENT="no-cache">
<META HTTP-EQUIV="Content-type" CONTENT="text/html">
</head>

Updated

14 years ago
Summary: 304 Not Modified response causes blank page instead of cached page → blackboard sends 200 and 304 Not Modified responses with content length 0 causes blank page instead of cached page

Updated

14 years ago
Flags: blocking-aviary1.0PR?

Comment 22

14 years ago
http://www.blackboard.com/about/contact/

would someone please contact their blackboard administrator and find out if
they'd be willing to help us contact blackboard tech support?
(Reporter)

Comment 23

14 years ago
To: blackboard.support@dartmouth.edu
Subject: blank screen in blackboard
Date: Thu, 09 Sep 2004 21:15:15 -0500

Hello,

I saw your webpage about getting a blank screen when trying to log into Blackboard:

http://projectsx.dartmouth.edu/faq/index.php?sid=263&aktion=artikel&rubrik=013001&id=28&lang=en

There is a good explanation for this: Blackboard is misconfigured on IIS systems.
Please see http://bugzilla.mozilla.org/show_bug.cgi?id=232766 for details.
You may want to update your FAQ to suggest holding shift when clicking the
refresh button.

Many folks are interested in getting this fixed.  Could you please contact
Blackboard support?

Thank you
-Dan Furlani
(Reporter)

Comment 24

14 years ago
Submitted to http://bb6.unf.edu/support/helprequest.asp?bhcp=1 :

I saw your webpage describing a problem where Blackboard displays a blank page:

http://blackboard.unf.edu/support/viewfaq.asp?faqid=26

The blank page problem is actually a problem with the way Blackboard is
configured on IIS servers.  There is some information available at
http://bugzilla.mozilla.org/show_bug.cgi?id=232766 which may be of interest to
your or Blackboard's tech support folks.

The solution of changing the browser cache settings may help, but it may be
simpler to advise students to hold shift when they click the reload button. 
This guarantees that the browser requests the latest version of the webpage. 
Just clicking refresh will, in some browsers, cause a request for the page *only
if it has changed* -- and this is exactly where Blackboard is broken.

There are a lot of people who would like to see this problem fixed.  Could you
please contact Blackboard support about this problem?

Thank you
-Dan Furlani
(Reporter)

Comment 25

14 years ago
submitted to http://www.otago.ac.nz/blackboard/help/feedback.html :

I saw your website describing Blackboard login problems:

http://www.otago.ac.nz/blackboard/help/login.html

Your solution to problem #2 (shift-refresh) is one that I have found helpful.  I
wonder if you are aware though.... this indicates a problem with the
configuration of Blackboard on your IIS server.  Please see
http://bugzilla.mozilla.org/show_bug.cgi?id=232766 for details.

Could you bring this problem to the attention of Blackboard tech support?  I'm
sure it is frustrating for many students who don't understand why they can't log
in and who are afraid to use a browser with as many security issues as IE.

Thank you
-Dan Furlani
(Reporter)

Comment 26

14 years ago
To: dl@shore.ctc.edu
Subject: blank screen in blackboard
Date: Thu, 09 Sep 2004 21:51:34 -0500

Hello,

I saw your Blackboard FAQ:

http://elmo.shore.ctc.edu/distance/dlfaq.htm

I have some additional information for one of your questions:
Q: I use Netscape and I'm trying to get to my Blackboard classes. I keep
getting a blank screen instead of the login screen.

You state that this is a known issue with Netscape.  Actually, it is a
known issue with Blackboard.  All Blackboard systems running on Microsoft
IIS servers have this problem.	Please see
http://bugzilla.mozilla.org/show_bug.cgi?id=232766
for more details.

An easy workaround is to hold the shift key when clicking the Reload
button.

Could you mention this problem to your Blackboard tech support rep?

Thank you
-Dan Furlani
(Reporter)

Comment 27

14 years ago
Got this response from Mark O'Neil at Dartmouth...  I'll consider this a minor
success for now, so I'll stop filling up your inboxes :)

Hello Dan,

Since we are not running on IIS your theory posted on  
bugzilla.mozilla.org:
"Definitely a problem with Blackboard running on IIS...
http://blackboard.uaeu.ac.ae/ has the same
problem.

But not limited to Blackboard... see
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-talk/81021


Has something to do with non-parsed headers.  Could be a bunch of sites  
in the
wild with this problem."

is true.

FWIW: this is a problem with some other (non-mozilla) browsers as well.  
It is also (unfortunately) not consistently re-produceable on our  
system.

I have communicated this to Blackboard support.

Thank you for the suggestion to update our FAQ with the shift-refresh  
sequence.

regards,
-m
(Reporter)

Comment 28

14 years ago
Feeling stupid now... maybe this has already been fixed?  The problem does not
occur anymore on the site originally listed?  I see it's a new version --
6.2.2.77 instead of 6.0.11.72

Comment 29

9 years ago
I don't have access to the HTTP headers involved, but I recently received a report from a friend that a Blackboard 9 installation is showing the same general symptoms in all Mac browsers except Firefox.

Anyone have a Blackboard login they're willing to share with me (privately, of course)?
Hardware: x86 → All
no more issue.
Assignee: english-us → nobody
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Component: English US → Desktop
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.